org.apache.lucene.util

## Class LegacyNumericUtils.IntRangeBuilder

- java.lang.Object
- - org.apache.lucene.util.LegacyNumericUtils.IntRangeBuilder

- Enclosing class:
    LegacyNumericUtils

      public abstract static class LegacyNumericUtils.IntRangeBuilder
      extends Object

  Callback for `LegacyNumericUtils.splitIntRange(org.apache.lucene.util.LegacyNumericUtils.IntRangeBuilder, int, int, int)`. You need to overwrite only one of the methods.
  Since:
    2.9, API changed non backwards-compliant in 4.0
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntRangeBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRange(BytesRef minPrefixCoded, BytesRef maxPrefixCoded)` Overwrite this method, if you like to receive the already prefix encoded range bounds.
    `void` | `addRange(int min, int max, int shift)` Overwrite this method, if you like to receive the raw int range bounds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntRangeBuilder

          public IntRangeBuilder()

  - ### Method Detail

    - #### addRange

          public void addRange(BytesRef minPrefixCoded,
                               BytesRef maxPrefixCoded)

      Overwrite this method, if you like to receive the already prefix encoded range bounds. You can directly build classical range (inclusive) queries from them.

    - #### addRange

          public void addRange(int min,
                               int max,
                               int shift)

      Overwrite this method, if you like to receive the raw int range bounds. You can use this for e.g. debugging purposes (print out range bounds).

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.